%global packname  AUC
%global rlibdir  %{_datadir}/R/library

Name:             R-%{packname}
Version:          0.3.2
Release:          1
Summary:          Threshold independent performance measures for probabilistic classifiers
License:          GPLv2+
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

BuildArch:        noarch
BuildRequires:    R-devel tex(latex)

%description
This package includes functions to compute the area under the curve of
selected measures: The area under the sensitivity curve (AUSEC), the area
under the specificity curve (AUSPC), the area under the accuracy curve
(AUACC), and the area under the receiver operating characteristic curve
(AUROC). The curves can also be visualized. Support for partial areas is

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%check
%{_bindir}/R CMD check %{packname}

%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/data

%changelog
* Tue Nov 8 2022 hkgy <kaguyahatu@outlook.com> - 0.3.2-1
- Upgrade to v0.3.2

* Thu Jun 16 2022 misaka00251 <misaka00251@misakanet.cn> - 0.3.0-1
- Init package (Thanks to fedora team)
